using Microsoft.Extensions.DependencyInjection;
using RainCrab.Plugins.AspNet;
using TestLib.Writer;

namespace Plugin1;

public class Plugin1 : IWebPlugin
{
    public Task ConfigureAsync(WebPluginLoadContext loadContext)
    {
        loadContext.ApplicationBuilder.Services.AddSingleton<IWriter, Writer>();
        return Task.CompletedTask;
    }

    public Task ShutdownAsync(WebPluginLoadContext loadContext)
    {
        return Task.CompletedTask;
    }
}
